Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.MadChat
Class MadChat

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JRootPane
                      madkit.MadChat.MadChat

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible, CloseListener

    public class MadChat

extends javax.swing.JRootPane
implements CloseListener

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JRootPane
`javax.swing.JRootPane.AccessibleJRootPane, javax.swing.JRootPane.RootLayout`

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`static java.lang.String` | `ApplicationImagePath`

Fields inherited from class javax.swing.JRootPane
`COLOR_CHOOSER_DIALOG, contentPane, defaultButton, defaultPressAction, defaultReleaseAction, ERROR_DIALOG, FILE_CHOOSER_DIALOG, FRAME, glassPane, INFORMATION_DIALOG, layeredPane, menuBar, NONE, PLAIN_DIALOG, QUESTION_DIALOG, WARNING_DIALOG`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`MadChat(Config cfg)`

Method Summary
`void` | `addChan(java.lang.String nom)`
`void` | `addChan(java.lang.String nom, java.lang.String pass)`
`void` | `addChanPV(Config config, Chatter c)`
`void` | `addChatterInChan(java.lang.String channel, Chatter c)`
`void` | `addServerPanel(DirEntry entry, AgentAddress serverAddress)`
`void` | `closeAllChannel()`
`void` | `closeOperation(java.awt.event.MouseEvent e)`
`boolean` | `existChan(java.lang.String nomChan)`
`java.lang.String[]` | `getAllChan()`
`javax.swing.JPanel` | `getChan(java.lang.String nomChan)`
`ChatterList` | `getChatListInChan(java.lang.String channel)`
`Chatter[]` | `getChatterListInChan(java.lang.String channel)`
`ConfigChan` | `getConfigChan(java.lang.String chan)`
`ChatPanel` | `getCurrentChan()`
`ConfigChan` | `getCurrentConfigChan()`
`void` | `insertChatMsgInChan(java.lang.String channel, java.lang.String chatter, java.lang.String message)`
`void` | `insertInfoMsgInChan(java.lang.String channel, java.lang.String message, java.lang.String coul)`
`boolean` | `isChan(java.lang.String[] chanlist, java.lang.String nom)`
`void` | `kickInChan(java.lang.String channel, AgentAddress slappeur, java.lang.String slappe)`
`void` | `removeChatterInChan(java.lang.String channel, AgentAddress chatter)`
`void` | `removeServerPanel()`
`void` | `setChatterListInChan(java.lang.String channel, Chatter[] m)`
`void` | `setChatterNickInChan(java.lang.String channel, AgentAddress a, java.lang.String nick)`
`void` | `setConfigInChan(java.lang.String channel, ConfigChan c)`
`void` | `setOP(java.lang.String nomChan, AgentAddress sender, java.lang.String nomChatter, boolean op)`
`void` | `slapInChan(java.lang.String channel, AgentAddress slappeur, java.lang.String slappe)`

Methods inherited from class javax.swing.JRootPane
`addImpl, addNotify, createContentPane, createGlassPane, createLayeredPane, createRootLayout, getAccessibleContext, getContentPane, getDefaultButton, getGlassPane, getJMenuBar, getLayeredPane, getMenuBar, getUI, getUIClassID, getWindowDecorationStyle, isOptimizedDrawingEnabled, isValidateRoot, paramString, removeNotify, setContentPane, setDefaultButton, setGlassPane, setJMenuBar, setLayeredPane, setMenuBar, setUI, setWindowDecorationStyle, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isPaintingTile, isRequestFocusEnabled, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ApplicationImagePath

    public static final java.lang.String ApplicationImagePath

Constructor Detail

### MadChat

    public MadChat(Config cfg)

Method Detail

### insertChatMsgInChan

    public void insertChatMsgInChan(java.lang.String channel,
                                    java.lang.String chatter,
                                    java.lang.String message)

### insertInfoMsgInChan

    public void insertInfoMsgInChan(java.lang.String channel,
                                    java.lang.String message,
                                    java.lang.String coul)

### getConfigChan

    public ConfigChan getConfigChan(java.lang.String chan)

### getChatterListInChan

    public Chatter[] getChatterListInChan(java.lang.String channel)

### getChatListInChan

    public ChatterList getChatListInChan(java.lang.String channel)

### slapInChan

    public void slapInChan(java.lang.String channel,
                           AgentAddress slappeur,
                           java.lang.String slappe)

### kickInChan

    public void kickInChan(java.lang.String channel,
                           AgentAddress slappeur,
                           java.lang.String slappe)

### setChatterListInChan

    public void setChatterListInChan(java.lang.String channel,
                                     Chatter[] m)

### setChatterNickInChan

    public void setChatterNickInChan(java.lang.String channel,
                                     AgentAddress a,
                                     java.lang.String nick)

### addChatterInChan

    public void addChatterInChan(java.lang.String channel,
                                 Chatter c)

### removeChatterInChan

    public void removeChatterInChan(java.lang.String channel,
                                    AgentAddress chatter)

### setOP

    public void setOP(java.lang.String nomChan,
                      AgentAddress sender,
                      java.lang.String nomChatter,
                      boolean op)

### closeAllChannel

    public void closeAllChannel()

### addChan

    public void addChan(java.lang.String nom)

### addChanPV

    public void addChanPV(Config config,
                          Chatter c)

### addChan

    public void addChan(java.lang.String nom,
                        java.lang.String pass)

### addServerPanel

    public void addServerPanel(DirEntry entry,
                               AgentAddress serverAddress)

### removeServerPanel

    public void removeServerPanel()

### getCurrentConfigChan

    public ConfigChan getCurrentConfigChan()

### getCurrentChan

    public ChatPanel getCurrentChan()

### setConfigInChan

    public void setConfigInChan(java.lang.String channel,
                                ConfigChan c)

### getAllChan

    public java.lang.String[] getAllChan()

### isChan

    public boolean isChan(java.lang.String[] chanlist,
                          java.lang.String nom)

### existChan

    public boolean existChan(java.lang.String nomChan)

### getChan

    public javax.swing.JPanel getChan(java.lang.String nomChan)

### closeOperation

    public void closeOperation(java.awt.event.MouseEvent e)

  Specified by:
    `closeOperation` in interface `CloseListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.